Package org.apache.velocity.runtime.resource.loader

# Class JarHolder

java.lang.Object
org.apache.velocity.runtime.resource.loader.JarHolder

public class JarHolder extends Object
A small wrapper around a Jar

Version:
  $Id$
Author:
  Dave Bryson

## Constructor Summary

Constructors
Constructor
Description
`JarHolder(RuntimeServices rs, String urlpath, org.slf4j.Logger log)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`Map<String,String>`
`getEntries()`
`InputStream`
`getResource(String theentry)`
`String`
`getUrlPath()`
`void`
`init()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JarHolder

public JarHolder(RuntimeServices rs, String urlpath, org.slf4j.Logger log)

Parameters:
  `rs` -
  `urlpath` -
  `log` -

## Method Details

### init

public void init()

### close

public void close()

### getResource

public InputStream getResource(String theentry) throws ResourceNotFoundException

Parameters:
  `theentry` -
Returns:
  The requested resource.
Throws:
  `ResourceNotFoundException`

### getEntries

public Map<String,String> getEntries()

Returns:
  The entries of the jar as a hashtable.

### getUrlPath

public String getUrlPath()

Returns:
  The URL path of this jar holder.